
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef hueblob_TCLSERV_CLIENT_ERROR_H
#define hueblob_TCLSERV_CLIENT_ERROR_H

#include <server/hueblobError.h>

/* -- MODULES ERRORS -------------------------------------------------- */

enum hueblob_error {
	E_hueblob_OK					  			= 0,

	/* module errors */
	E_hueblob_STEREO                         = S_hueblob_STEREO,
	E_hueblob_NOT_STEREO_BANK                = S_hueblob_NOT_STEREO_BANK,
	E_hueblob_NO_MODEL                       = S_hueblob_NO_MODEL,
	E_hueblob_NOT_FOUND                      = S_hueblob_NOT_FOUND,
	E_hueblob_NEED_COLOR_IMAGE               = S_hueblob_NEED_COLOR_IMAGE,
	E_hueblob_BAD_IMAGE                      = S_hueblob_BAD_IMAGE,
	E_hueblob_LOW_MEMORY                     = S_hueblob_LOW_MEMORY,
	E_hueblob_IMAGE_UNREADABLE               = S_hueblob_IMAGE_UNREADABLE,
	E_hueblob_NO_SUCH_FILE                   = S_hueblob_NO_SUCH_FILE,


	/* std errors */
	E_hueblob_ACTIVITY_INTERRUPTED           = S_hueblob_stdGenoM_ACTIVITY_INTERRUPTED,
	E_hueblob_TOO_MANY_ACTIVITIES            = S_hueblob_stdGenoM_TOO_MANY_ACTIVITIES,
	E_hueblob_ACTIVITY_FAILED                = S_hueblob_stdGenoM_ACTIVITY_FAILED,
	E_hueblob_WAIT_ABORT_ZOMBIE_ACTIVITY     = S_hueblob_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY,
	E_hueblob_UNKNOWN_ACTIVITY               = S_hueblob_stdGenoM_UNKNOWN_ACTIVITY,
	E_hueblob_FORBIDDEN_ACTIVITY_TRANSITION  = S_hueblob_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION,
	E_hueblob_SYSTEM_ERROR                   = S_hueblob_stdGenoM_SYSTEM_ERROR,
	E_hueblob_ACTIVITY_ALREADY_ENDED         = S_hueblob_stdGenoM_ACTIVITY_ALREADY_ENDED,
	E_hueblob_WAIT_INIT_RQST                 = S_hueblob_stdGenoM_WAIT_INIT_RQST,
	E_hueblob_CONTROL_CODEL_ERROR            = S_hueblob_stdGenoM_CONTROL_CODEL_ERROR,
	E_hueblob_EXEC_TASK_SUSPENDED            = S_hueblob_stdGenoM_EXEC_TASK_SUSPENDED,
	E_hueblob_BAD_BLOCK_TYPE                 = S_hueblob_stdGenoM_BAD_BLOCK_TYPE,
	E_hueblob_BAD_POSTER_TYPE                = S_hueblob_stdGenoM_BAD_POSTER_TYPE,

};

typedef enum hueblob_error hueblob_error_t;

#ifdef __cplusplus
extern "C" {
#endif

/*
 * Take an error string in parameter, and try to get the error index associated
 * to this string
 * Returns -1 in failure case (and err is not set)
 * Returns 0 in success case (and err has a sensitive value)
 */
int hueblob_decode_error(const char* str, int *err);

/*
 * Take an integer representing an error, and try to get its textual
 * representation, in the hueblob context.
 *
 * Returns NULL in case of failure
 */
const char* hueblob_error_str(int err);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
