
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef HUEBLOB_SCAN_H
#define HUEBLOB_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/stereopixelTclservClientDecode.h"

#include "server/tclservClient/viamTclservClientDecode.h"

#include "server/tclservClient/pomTclservClientDecode.h"


/* Structures du module */
#include "server/hueblobPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_HUEBLOB_BLOB_POSTER_STR (char** buf, struct HUEBLOB_BLOB_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_HueBlobIds (char** buf, struct HueBlobIds *x, int nDim, int *dims );
int scan_buf_struct_HueBlobTrackChessboard (char** buf, struct HueBlobTrackChessboard *x, int nDim, int *dims );
int scan_buf_struct_HueBlobTrackBlob (char** buf, struct HueBlobTrackBlob *x, int nDim, int *dims );
int scan_buf_struct_HueBlobBox (char** buf, struct HueBlobBox *x, int nDim, int *dims );
int scan_buf_struct_HueBlob3DBox (char** buf, struct HueBlob3DBox *x, int nDim, int *dims );
int scan_buf_struct_HueBlob3DPoint (char** buf, struct HueBlob3DPoint *x, int nDim, int *dims );
int scan_buf_struct_HueBlobImageBox (char** buf, struct HueBlobImageBox *x, int nDim, int *dims );
int scan_buf_struct_HueBlobInput (char** buf, struct HueBlobInput *x, int nDim, int *dims );
int scan_buf_struct_HueBlobObject (char** buf, struct HueBlobObject *x, int nDim, int *dims );
int scan_buf_enum_HueBlobBool (char** buf, enum HueBlobBool *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_HueBlobBool (char** buf, HueBlobBool *x, int nDim, int *dims );
int scan_buf_HueBlobObject (char** buf, HueBlobObject *x, int nDim, int *dims );
int scan_buf_HueBlobInput (char** buf, HueBlobInput *x, int nDim, int *dims );
int scan_buf_HueBlobImageBox (char** buf, HueBlobImageBox *x, int nDim, int *dims );
int scan_buf_HueBlob3DPoint (char** buf, HueBlob3DPoint *x, int nDim, int *dims );
int scan_buf_HueBlob3DBox (char** buf, HueBlob3DBox *x, int nDim, int *dims );
int scan_buf_HueBlobBox (char** buf, HueBlobBox *x, int nDim, int *dims );
int scan_buf_HueBlobTrackBlob (char** buf, HueBlobTrackBlob *x, int nDim, int *dims );
int scan_buf_HueBlobTrackChessboard (char** buf, HueBlobTrackChessboard *x, int nDim, int *dims );
int scan_buf_HueBlobIds (char** buf, HueBlobIds *x, int nDim, int *dims );
int scan_buf_HUEBLOB_BLOB_POSTER_STR (char** buf, HUEBLOB_BLOB_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* HUEBLOB_SCAN_H */

